Images
Bulk Upload Images
deprecated
Uploads up to 10 images from base64 encoded strings or URLs. Supports automatic product/variant association via filename matching with SKU or slug. Generates blurhash automatically if not provided. Returns lists of successful and failed uploads with detailed error reasons. Deprecated: use POST /api/v2///dam/images instead.
POST
/
api
/
v1
/
{team_slug}
/
{app_slug}
/
images
/
bulk
Bulk Upload Images
curl --request POST \
--url https://api.enad.io/api/v1/{team_slug}/{app_slug}/images/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"images": [
{
"alt": "<string>",
"blurhash": "<string>",
"connect_to_sku": true,
"connect_to_slug": true,
"connect_to_variant_group": true,
"copyright": "<string>",
"custom": {},
"filename": "<string>",
"image_base64": "<string>",
"overwrite": true,
"parent_id": "<string>",
"title": "<string>",
"url": "<string>"
}
]
}
'import requests
url = "https://api.enad.io/api/v1/{team_slug}/{app_slug}/images/bulk"
payload = { "images": [
{
"alt": "<string>",
"blurhash": "<string>",
"connect_to_sku": True,
"connect_to_slug": True,
"connect_to_variant_group": True,
"copyright": "<string>",
"custom": {},
"filename": "<string>",
"image_base64": "<string>",
"overwrite": True,
"parent_id": "<string>",
"title": "<string>",
"url": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
images: [
{
alt: '<string>',
blurhash: '<string>',
connect_to_sku: true,
connect_to_slug: true,
connect_to_variant_group: true,
copyright: '<string>',
custom: {},
filename: '<string>',
image_base64: '<string>',
overwrite: true,
parent_id: '<string>',
title: '<string>',
url: '<string>'
}
]
})
};
fetch('https://api.enad.io/api/v1/{team_slug}/{app_slug}/images/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.enad.io/api/v1/{team_slug}/{app_slug}/images/bulk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'images' => [
[
'alt' => '<string>',
'blurhash' => '<string>',
'connect_to_sku' => true,
'connect_to_slug' => true,
'connect_to_variant_group' => true,
'copyright' => '<string>',
'custom' => [
],
'filename' => '<string>',
'image_base64' => '<string>',
'overwrite' => true,
'parent_id' => '<string>',
'title' => '<string>',
'url' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.enad.io/api/v1/{team_slug}/{app_slug}/images/bulk"
payload := strings.NewReader("{\n \"images\": [\n {\n \"alt\": \"<string>\",\n \"blurhash\": \"<string>\",\n \"connect_to_sku\": true,\n \"connect_to_slug\": true,\n \"connect_to_variant_group\": true,\n \"copyright\": \"<string>\",\n \"custom\": {},\n \"filename\": \"<string>\",\n \"image_base64\": \"<string>\",\n \"overwrite\": true,\n \"parent_id\": \"<string>\",\n \"title\": \"<string>\",\n \"url\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.enad.io/api/v1/{team_slug}/{app_slug}/images/bulk")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"images\": [\n {\n \"alt\": \"<string>\",\n \"blurhash\": \"<string>\",\n \"connect_to_sku\": true,\n \"connect_to_slug\": true,\n \"connect_to_variant_group\": true,\n \"copyright\": \"<string>\",\n \"custom\": {},\n \"filename\": \"<string>\",\n \"image_base64\": \"<string>\",\n \"overwrite\": true,\n \"parent_id\": \"<string>\",\n \"title\": \"<string>\",\n \"url\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.enad.io/api/v1/{team_slug}/{app_slug}/images/bulk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"images\": [\n {\n \"alt\": \"<string>\",\n \"blurhash\": \"<string>\",\n \"connect_to_sku\": true,\n \"connect_to_slug\": true,\n \"connect_to_variant_group\": true,\n \"copyright\": \"<string>\",\n \"custom\": {},\n \"filename\": \"<string>\",\n \"image_base64\": \"<string>\",\n \"overwrite\": true,\n \"parent_id\": \"<string>\",\n \"title\": \"<string>\",\n \"url\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"failed": [
{
"filename": "<string>",
"reason": "<string>"
}
],
"successful": [
{
"alt": "<string>",
"app_id": "<string>",
"attributes": [
{
"created_at": "<string>",
"description": "<string>",
"filterable": true,
"id": "<string>",
"key": "<string>",
"name": "<string>",
"template_key": "<string>",
"template_name": "<string>",
"translatable": true,
"translations": {
"description": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>",
"values": {}
}
],
"blurhash": "<string>",
"copyright": "<string>",
"custom": {},
"folder_id": "<string>",
"id": "<string>",
"parent_id": "<string>",
"public": true,
"status": "<string>",
"title": "<string>",
"translations": {
"alt": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"copyright": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"title": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"url": "<string>",
"used_by": [
{
"created_at": "<string>",
"id": "<string>",
"name": "<string>",
"priority": 123,
"slug": "<string>",
"type": "product",
"updated_at": "<string>"
}
],
"variants": [
{
"alt": "<string>",
"app_id": "<string>",
"attributes": [
{
"created_at": "<string>",
"description": "<string>",
"filterable": true,
"id": "<string>",
"key": "<string>",
"name": "<string>",
"template_key": "<string>",
"template_name": "<string>",
"translatable": true,
"translations": {
"description": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>",
"values": {}
}
],
"blurhash": "<string>",
"copyright": "<string>",
"custom": {},
"folder_id": "<string>",
"id": "<string>",
"parent_id": "<string>",
"public": true,
"status": "<string>",
"title": "<string>",
"translations": {
"alt": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"copyright": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"title": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"url": "<string>"
}
]
}
]
},
"success": true,
"details": [
"<string>"
]
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}Authorizations
Management API token, sent as Authorization: Bearer <token>.
Body
application/json
Images to upload
Maximum array length:
10Show child attributes
Show child attributes
⌘I
Bulk Upload Images
curl --request POST \
--url https://api.enad.io/api/v1/{team_slug}/{app_slug}/images/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"images": [
{
"alt": "<string>",
"blurhash": "<string>",
"connect_to_sku": true,
"connect_to_slug": true,
"connect_to_variant_group": true,
"copyright": "<string>",
"custom": {},
"filename": "<string>",
"image_base64": "<string>",
"overwrite": true,
"parent_id": "<string>",
"title": "<string>",
"url": "<string>"
}
]
}
'import requests
url = "https://api.enad.io/api/v1/{team_slug}/{app_slug}/images/bulk"
payload = { "images": [
{
"alt": "<string>",
"blurhash": "<string>",
"connect_to_sku": True,
"connect_to_slug": True,
"connect_to_variant_group": True,
"copyright": "<string>",
"custom": {},
"filename": "<string>",
"image_base64": "<string>",
"overwrite": True,
"parent_id": "<string>",
"title": "<string>",
"url": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
images: [
{
alt: '<string>',
blurhash: '<string>',
connect_to_sku: true,
connect_to_slug: true,
connect_to_variant_group: true,
copyright: '<string>',
custom: {},
filename: '<string>',
image_base64: '<string>',
overwrite: true,
parent_id: '<string>',
title: '<string>',
url: '<string>'
}
]
})
};
fetch('https://api.enad.io/api/v1/{team_slug}/{app_slug}/images/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.enad.io/api/v1/{team_slug}/{app_slug}/images/bulk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'images' => [
[
'alt' => '<string>',
'blurhash' => '<string>',
'connect_to_sku' => true,
'connect_to_slug' => true,
'connect_to_variant_group' => true,
'copyright' => '<string>',
'custom' => [
],
'filename' => '<string>',
'image_base64' => '<string>',
'overwrite' => true,
'parent_id' => '<string>',
'title' => '<string>',
'url' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.enad.io/api/v1/{team_slug}/{app_slug}/images/bulk"
payload := strings.NewReader("{\n \"images\": [\n {\n \"alt\": \"<string>\",\n \"blurhash\": \"<string>\",\n \"connect_to_sku\": true,\n \"connect_to_slug\": true,\n \"connect_to_variant_group\": true,\n \"copyright\": \"<string>\",\n \"custom\": {},\n \"filename\": \"<string>\",\n \"image_base64\": \"<string>\",\n \"overwrite\": true,\n \"parent_id\": \"<string>\",\n \"title\": \"<string>\",\n \"url\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.enad.io/api/v1/{team_slug}/{app_slug}/images/bulk")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"images\": [\n {\n \"alt\": \"<string>\",\n \"blurhash\": \"<string>\",\n \"connect_to_sku\": true,\n \"connect_to_slug\": true,\n \"connect_to_variant_group\": true,\n \"copyright\": \"<string>\",\n \"custom\": {},\n \"filename\": \"<string>\",\n \"image_base64\": \"<string>\",\n \"overwrite\": true,\n \"parent_id\": \"<string>\",\n \"title\": \"<string>\",\n \"url\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.enad.io/api/v1/{team_slug}/{app_slug}/images/bulk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"images\": [\n {\n \"alt\": \"<string>\",\n \"blurhash\": \"<string>\",\n \"connect_to_sku\": true,\n \"connect_to_slug\": true,\n \"connect_to_variant_group\": true,\n \"copyright\": \"<string>\",\n \"custom\": {},\n \"filename\": \"<string>\",\n \"image_base64\": \"<string>\",\n \"overwrite\": true,\n \"parent_id\": \"<string>\",\n \"title\": \"<string>\",\n \"url\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"failed": [
{
"filename": "<string>",
"reason": "<string>"
}
],
"successful": [
{
"alt": "<string>",
"app_id": "<string>",
"attributes": [
{
"created_at": "<string>",
"description": "<string>",
"filterable": true,
"id": "<string>",
"key": "<string>",
"name": "<string>",
"template_key": "<string>",
"template_name": "<string>",
"translatable": true,
"translations": {
"description": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>",
"values": {}
}
],
"blurhash": "<string>",
"copyright": "<string>",
"custom": {},
"folder_id": "<string>",
"id": "<string>",
"parent_id": "<string>",
"public": true,
"status": "<string>",
"title": "<string>",
"translations": {
"alt": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"copyright": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"title": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"url": "<string>",
"used_by": [
{
"created_at": "<string>",
"id": "<string>",
"name": "<string>",
"priority": 123,
"slug": "<string>",
"type": "product",
"updated_at": "<string>"
}
],
"variants": [
{
"alt": "<string>",
"app_id": "<string>",
"attributes": [
{
"created_at": "<string>",
"description": "<string>",
"filterable": true,
"id": "<string>",
"key": "<string>",
"name": "<string>",
"template_key": "<string>",
"template_name": "<string>",
"translatable": true,
"translations": {
"description": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>",
"values": {}
}
],
"blurhash": "<string>",
"copyright": "<string>",
"custom": {},
"folder_id": "<string>",
"id": "<string>",
"parent_id": "<string>",
"public": true,
"status": "<string>",
"title": "<string>",
"translations": {
"alt": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"copyright": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"title": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"url": "<string>"
}
]
}
]
},
"success": true,
"details": [
"<string>"
]
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}